OpenTTD Source: ConfigIniFile Class Reference

OpenTTD Source 12.0-beta1

Public Member Functions | Static Private Attributes
ConfigIniFile Class Reference

IniFile to store a configuration. More...

Inheritance diagram for ConfigIniFile:

## Public Member Functions
| ConfigIniFile (const std::string &filename)
Public Member Functions inherited from IniFile
| IniFile (const char *const *list_group_names=nullptr)
| Create a new ini file with given group names. More...
bool | SaveToDisk (const std::string &filename)
| Save the Ini file's data to the disk. More...
virtual FILE * | OpenFile (const std::string &filename, Subdirectory subdir, size_t *size)
| Open the INI file. More...
virtual void | ReportFileError (const char *const pre, const char *const buffer, const char *const post)
| Report an error about the file contents. More...
Public Member Functions inherited from IniLoadFile
| IniLoadFile (const char *const *list_group_names=nullptr, const char *const *seq_group_names=nullptr)
| Construct a new in-memory Ini file representation. More...
virtual | ~IniLoadFile ()
| Free everything we loaded.
IniGroup * | GetGroup (const std::string &name, bool create_new=true)
| Get the group with the given name. More...
void | RemoveGroup (const char *name)
| Remove the group with the given name. More...
void | LoadFromDisk (const std::string &filename, Subdirectory subdir)
| Load the Ini file's data from the disk. More...

## Static Private Attributes
static const char *const | list_group_names []

## Additional Inherited Members
Data Fields inherited from IniLoadFile
IniGroup * | group
| the first group in the ini
IniGroup ** | last_group
| the last group in the ini
std::string | comment
| last comment in file
const char *const * | list_group_names
| nullptr terminated list with group names that are lists
const char *const * | seq_group_names
| nullptr terminated list with group names that are sequences.

## Detailed Description

IniFile to store a configuration.

Definition at line 132 of file settings.cpp.

## Field Documentation

## ◆ list_group_names

const char* const ConfigIniFile::list_group_names[]
| inlinestaticprivate

Initial value:
= {
"bans",
"newgrf",
"servers",
"server_bind_addresses",
nullptr,
}

Definition at line 134 of file settings.cpp.

The documentation for this class was generated from the following file:

- src/settings.cpp